Bug 180206 - gnome-vfs2 should use the neon http backend
gnome-vfs2 should use the neon http backend
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-06 14:32 EST by Bastien Nocera
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 16:36:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-02-06 14:32:41 EST
Description of problem:
The stand-alone http backend of gnome-vfs doesn't seem to be very reliable
anymore, compared to the neon one, causing problems for applications relying on it.

Version-Release number of selected component (if applicable):
gnome-vfs2-2.13.4-7

How reproducible:
Everytime

Steps to Reproduce:
1. launch:
gnomevfs-info http://nexus.immortalcontinuum.net:10000/listen.pls
  
Actual results:
Error: Generic error

Expected results:
The info for that particular file
Comment 1 Bastien Nocera 2006-02-06 16:36:52 EST
It's already the case:
$ strings /usr/lib/gnome-vfs-2.0/modules/libhttp.so  | grep neon
http-neon-method.c
neon 0.25.4: Bundled build, libxml 2.6.23, OpenSSL 0.9.8a 11 Oct 2005.
http://webdav.org/neon/hooks/server-auth
http://webdav.org/neon/hooks/proxy-auth
http://www.webdav.org/neon/hooks/http-redirect
http://webdav.org/neon/hooks/webdav-locking

Will work upstream for the problem above.

Note You need to log in before you can comment on or make changes to this bug.